// CONFIG.H
// Header file for CONFIG.CPP.
// Carson F. Ball
// 10/25/2000 -

// LICENSE
// Copyright (c) 2002, Carson F. Ball
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or
// without modification, are permitted provided that the following
// conditions are met:
//
// o Redistributions of source code must retain the above copyright
//   notice, this list of conditions, and the following disclaimer.
//
// o Redistributions in binary form must reproduce the above
//   copyright notice, this list of conditions and the following
//   disclaimer in the documentation and/or other materials
//   provided with the distribution.
//
// o Neither the name of the author or of other contributors may be
//   used to endorse or promote products derived from this software
//   without prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
// CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
// INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
// MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
// DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
// CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
// SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
// LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
// USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
// AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
// LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
// IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
// THE POSSIBILITY OF SUCH DAMAGE.

#ifndef __CONFIG__
#define __CONFIG__

#include "mtypes.h"

// Definitions for various constants.
#define NFIELDS   4             // The number of valid fields in the file.
#define CONFFILE "mailer.conf"  // The name of the configuration file.

// Definitions for various flags.
#define PORT   1     // No port was found in the configuration file.
#define IPA    2     // No IP address was found in the configuration file.
#define VALID  4     // No valid servers were found in the configuration file.
#define DOMAIN 8     // No domain name was found in the configuration file.

// Define the size of memory to reserve.
#define RESSIZE Info->NumValid * sizeof (char*)

// Function prototypes.
#ifdef CONFIG
char*  Parse    (char*, char* const*);
INT32  NumAddrs (char*);
INT8   GetLine  (FILE*, char*);
#endif

char*  Server  (void);
INT32  GetConf (CONF*, const char*);

#endif
