// MAILIO.CPP
// Input and Output routines.
// 11/16/2000 -

// LICENSE
// Copyright (c) 2002-2004, Carson F. Ball
// All rights reserved.
//
// Redistribution and use in source and binary forms, with or
// without modification, are permitted provided that the following
// conditions are met:
//
// o Redistributions of source code must retain the above copyright
//   notice, this list of conditions, and the following disclaimer.
//
// o Redistributions in binary form must reproduce the above
//   copyright notice, this list of conditions and the following
//   disclaimer in the documentation and/or other materials
//   provided with the distribution.
//
// o Neither the name of the author or of other contributors may be
//   used to endorse or promote products derived from this software
//   without prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
// CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
// INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
// MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
// DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
// CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
// SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
// LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
// USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
// AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
// LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
// IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
// THE POSSIBILITY OF SUCH DAMAGE.

#define IO

#include <stdio.h> // Needed for printf.
#include "mailio.h"

// +-------------------------------------------------------------------------+
// |FUNCTION:  PrnHead                                                       |
// +-------------------------------------------------------------------------+
// |INPUT:     Nothing.                                                      |
// |OUTPUT:    Nothing.                                                      |
// |RETURN:    Nothing.                                                      |
// +-------------------------------------------------------------------------+
// |This function prints the HTML header information.                        |
// +-------------------------------------------------------------------------+
void PrnHead (void) {
   printf ("Content-type: text/html\n\n");
   printf ("<HTML>\n");
   printf ("   <HEAD>\n");
   printf ("   </HEAD>\n");
   printf ("   <BODY>\n");
   printf ("      <FONT Face = \"Courier New\">\n");

   return;
}

// +-------------------------------------------------------------------------+
// |FUNCTION:  PrnEnd                                                        |
// +-------------------------------------------------------------------------+
// |INPUT:     Title   - The title for the web page.                         |
// |OUTPUT:    Nothing.                                                      |
// |RETURN:    Nothing.                                                      |
// +-------------------------------------------------------------------------+
// |This function prints the HTML footer information.                        |
// +-------------------------------------------------------------------------+
void PrnEnd (const char* Title) {
   printf ("      </FONT>\n");
   printf ("      <TITLE>%s</TITLE>\n", Title);
   printf ("   </BODY>\n");
   printf ("</HTML>");

   return;
}
